Summary:	gentoo - a GTK+ file manager for Linux
Summary(pl.UTF-8):	gentoo - oparty na GTK+ zarządca plików pod Linuksa
Name:		gentoo
Version:	0.20.7
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/gentoo/%{name}-%{version}.tar.gz
# Source0-md5:	a3878a900205c57f8816b3cade3fc17c
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-locale_names.patch
URL:		http://www.obsession.se/gentoo/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel
BuildRequires:	gtk+3-devel >= 3.12.0
BuildRequires:	libtool
Requires:	file
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/X11

%description
gentoo is a file manager for Linux written from scratch in pure C. It
uses the GTK+ toolkit for all of its interface needs. gentoo provides
100%% GUI configurability; no need to edit config files by hand and
re- start the program. gentoo supports identifying the type of various
files (using extension, regular expressions, and/or the 'file'
command), and can display files of different types with different
colors and icons. gentoo borrows some of its look and feel from the
classic Amiga file manager "Directory OPUS"(TM) (written by Jonathan
Potter).

%description -l pl.UTF-8
gentoo jest zarządcą plików dla Linuksa napisanym 'od zera' w czystym
C. Używa zestawu narzędzi GTK+ do zaspokojenia wszystkich potrzeb
związanych z interfejsem. gentoo zapewnia 100%%-ową konfigurowalność
graficznego interfejsu; nie ma potrzeby ręcznego modyfikowania plików
konfiguracyjnych i ponownego uruchamiania programu. gentoo dostarcza
identyfikację typów różnych plików (używając rozszerzenia, wyrażeń
regularnych i/lub polecenia 'file') oraz potrafi wyświetlać pliki
różnego typu w różnych kolorach i z różnymi ikonami. gentoo zapożycza
trochę ze swojego wyglądu od klasycznego zarządcy plików Amigi --
"Directory OPUS"(TM) (napisanego przez Jonathana Pottera).

%prep
%setup -q
%patch0 -p1

mv -f po/ru{_RU.utf8,}.po
rm -f po/ru_RU.*
mv -f po/ja{_JP.UTF-8,}.po
mv -f po/ja{_JP.UTF-8,}.gmo

%build
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p docs/gentoo.1x $RPM_BUILD_ROOT%{_mandir}/man1
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS CREDITS ChangeLog NEWS README* TODO docs
%config %{_sysconfdir}/*
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_desktopdir}/gentoo.desktop
%{_pixmapsdir}/*
%changelog
* Sun Jun 18 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gentoo.git;a=log;h=master

* Sun Jun 18 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 036d535
- up to 0.20.7

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 926e755
- updated gettext BR

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> f5f54fd
- dropped pre-cvs changelog

* Sun May 31 2009 Adam Gołębiowski <adamg@pld-linux.org> 1d6568f
- updated to 0.15.5

* Sat Apr 25 2009 Adam Gołębiowski <adamg@pld-linux.org> 349a3ff
- updated to 0.15.4

* Mon Jul 21 2008 Adam Gołębiowski <adamg@pld-linux.org> ee1f2f8
- updated to 0.11.57

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 51c1fce
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 61e6a44
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e68da2b
- converted to UTF-8

* Sat Sep 02 2006 jackass <jackass@pld-linux.org> e97d6b8
- up to 0.11.56

* Fri Jun 24 2005 undefine <undefine@pld-linux.org> 1e38b5a
- fixed by Miłosz Rzeźnikowski <majkl@op.pl>

* Mon Jun 06 2005 blekot <blekot@pld-linux.org> 3f3e131
- pl desc fix (%-->%%)

* Sun Jun 05 2005 Sławomir Paszkiewicz <paszczus@pld-linux.org> 771c838
- updated to 0.11.55 ; STBR

* Mon Feb 28 2005 Jakub Bogusz <qboosh@pld-linux.org> a724991
- s/osdn\.dl/dl/ in Source URL (osdn is no longer browsable)

* Mon Jan 03 2005 Adam Gołębiowski <adamg@pld-linux.org> 637699e
- updated to 0.11.54

* Sun Nov 07 2004 Adam Gołębiowski <adamg@pld-linux.org> 5b55a4e
- updated to 0.11.53

* Sun Oct 31 2004 Adam Gołębiowski <adamg@pld-linux.org> 42b28c9
- updated to 0.11.52

* Thu Oct 28 2004 Jakub Bogusz <qboosh@pld-linux.org> 0532584
- pl fix, cleanup

* Mon Oct 25 2004 paladine <paladine@pld-linux.org> f5fdf26
- [Gg]tk+ -> GTK+

* Tue Aug 31 2004 snurf <snurf@pld-linux.org> f6d2f81
- typos / formatting / etc.

